# Created by pyp2rpm-3.3.4
%global pypi_name bpemb

Name:           python-%{pypi_name}
Version:        0.3.2
Release:        1%{?dist}
Summary:        Byte-pair embeddings in 275 languages

License:        MIT
URL:            https://nlp.h-its.org/bpemb
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 BPEmb is a collection of pre-trained subword embeddings in 275 languages,
based on Byte-Pair Encoding (BPE) and trained on Wikipedia. Its intended use is
as input for neural models in natural language processing.[Website]( ・
[Usage](usage) ・ [Download](downloads-for-each-language) ・
[MultiBPEmb](multibpemb) ・ [Paper (pdf)]( ・ [Citing BPEmb](citing-bpemb)
UsageInstall BPEmb with pip:bash pip...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(gensim)
Requires:       python3dist(numpy)
Requires:       python3dist(requests)
Requires:       python3dist(sentencepiece)
Requires:       python3dist(tqdm)
%description -n python3-%{pypi_name}
 BPEmb is a collection of pre-trained subword embeddings in 275 languages,
based on Byte-Pair Encoding (BPE) and trained on Wikipedia. Its intended use is
as input for neural models in natural language processing.[Website]( ・
[Usage](usage) ・ [Download](downloads-for-each-language) ・
[MultiBPEmb](multibpemb) ・ [Paper (pdf)]( ・ [Citing BPEmb](citing-bpemb)
UsageInstall BPEmb with pip:bash pip...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Sep 30 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 0.3.2-1
- Initial package.
